LayoutFactory (groovy 2.4.5 API)
Date: 2015-09-17

Package: groovy.swing.factory

## [Groovy] Class LayoutFactory

- groovy.swing.factory.LayoutFactory

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `DEFAULT_DELEGATE_PROPERTY_CONSTRAINT` |
    `static String` | `DELEGATE_PROPERTY_CONSTRAINT` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BeanFactory` | `leaf`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `def` | `contextProps`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LayoutFactory (Class klass)`
    `LayoutFactory (Class klass, boolean leaf)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addLayoutProperties(def context, Class layoutClass)`
    `void` | `addLayoutProperties(def context)`
    `static def` | `constraintsAttributeDelegate(def builder, def node, def attributes)`
    `static Container` | `getLayoutTarget(Container parent)`
    `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
    `void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanFactory` | `isLeaf, newInstance`
    `class AbstractFactory` | `onFactoryRegistration, isHandlesNodeChildren, onNodeChildren, onHandleNodeAttributes, onNodeCompleted, setChild, isLeaf, setParent, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, newInstance`

- - ### Field Detail

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_CONSTRAINT

    - #### public static final String DELEGATE_PROPERTY_CONSTRAINT

  - ### Property Detail

    - #### def contextProps

  - ### Constructor Detail

    - #### LayoutFactory(Class klass)

    - #### LayoutFactory(Class klass, boolean leaf)

  - ### Method Detail

    - #### void addLayoutProperties(def context, Class layoutClass)

    - #### void addLayoutProperties(def context)

    - #### static def constraintsAttributeDelegate(def builder, def node, def attributes)

    - #### static Container getLayoutTarget(Container parent)

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

    - #### void setParent(FactoryBuilderSupport builder, Object parent, Object child)